Class | Magick::Image::View
In: | lib/RMagick.rb
Parent: | Object

Magick::Image::View class

### Methods

[] new sync update

### Classes and Modules

Class Magick::Image::View::Pixels
Class Magick::Image::View::Rows

### Attributes

dirty | [RW] |
height | [R] |
width | [R] |
x | [R] |
y | [R] |

### Public Class methods

new(img, x, y, width, height)

### Public Instance methods

[](*args)
sync(force=false)

Store changed pixels back to image

update(rows)

Get update from Rows - if @dirty ever becomes true, don‘t change it back to false!

[Validate]